org.apache.ignite.internal.processors.cache.verify

## Class IdleVerifyUtility

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.verify.IdleVerifyUtility

    public class IdleVerifyUtility
    extends Object

Utility class for idle verify command.

### Field Summary

Fields
`static String` `CLUSTER_NOT_IDLE_MSG` Cluster not idle message.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `checkPartitionsPageCrcSum(FilePageStore pageStore, CacheGroupContext grpCtx, int partId, byte pageType, AtomicBoolean cpFlag)` Checks CRC sum of pages with `pageType` page type stored in partiion with `partId` id and assosiated with cache group.
`static void` `checkPartitionsPageCrcSum(@Nullable FilePageStoreManager pageStoreMgr, CacheGroupContext grpCtx, int partId, byte pageType, AtomicBoolean cpFlag)` See `checkPartitionsPageCrcSum(FilePageStore, CacheGroupContext, int, byte, AtomicBoolean)`.
`static boolean` `isCheckpointNow(@Nullable IgniteCacheDatabaseSharedManager db)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLUSTER_NOT_IDLE_MSG

    public static final String CLUSTER_NOT_IDLE_MSG

Cluster not idle message.

See Also:
  Constant Field Values

### Method Detail

#### checkPartitionsPageCrcSum

    public static void checkPartitionsPageCrcSum(@Nullable
                                                 @Nullable FilePageStoreManager pageStoreMgr,
                                                 CacheGroupContext grpCtx,
                                                 int partId,
                                                 byte pageType,
                                                 AtomicBoolean cpFlag)
                                          throws IgniteCheckedException,
                                                 GridNotIdleException

See `checkPartitionsPageCrcSum(FilePageStore, CacheGroupContext, int, byte, AtomicBoolean)`.

Throws:
  `IgniteCheckedException`
  `GridNotIdleException`

#### checkPartitionsPageCrcSum

    public static void checkPartitionsPageCrcSum(FilePageStore pageStore,
                                                 CacheGroupContext grpCtx,
                                                 int partId,
                                                 byte pageType,
                                                 AtomicBoolean cpFlag)
                                          throws IgniteCheckedException,
                                                 GridNotIdleException

Checks CRC sum of pages with `pageType` page type stored in partiion with `partId` id and assosiated with cache group.
Method could be invoked only on idle cluster!

Parameters:
  `pageStore` - Page store.
  `grpCtx` - Passed cache group context.
  `partId` - Partition id.
  `pageType` - Page type. Possible types `PageIdAllocator.FLAG_DATA`, `PageIdAllocator.FLAG_IDX`.
  `cpFlag` - Checkpoint flag for detecting start checkpoint with dirty pages.
Throws:
  `IgniteCheckedException` - If reading page failed.
  `GridNotIdleException` - If cluster not idle.

#### isCheckpointNow

    public static boolean isCheckpointNow(@Nullable
                                          @Nullable IgniteCacheDatabaseSharedManager db)

Parameters:
  `db` - Shared DB manager.
Returns:
  `True` if checkpoint is now, `False` otherwise.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020